MRWGraphInternal::PSZone Struct Reference

Internal: the struct use to store a ps zone of a MRWGraph. More...

## Public Member Functions

| PSZone ()
| constructor More...

## Public Attributes

MWAWEntry | m_pos
| the file position More...
int | m_type
| a local type? More...
long | m_id
| an id More...
bool | m_parsed
| a flag to know if the data has been sent More...
std::string | m_extra
| some extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, PSZone const &file)
| operator<< More...

## Detailed Description

Internal: the struct use to store a ps zone of a MRWGraph.

## Constructor & Destructor Documentation

MRWGraphInternal::PSZone::PSZone | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | PSZone const & | file
| ) |  |

friend

operator<<

## Member Data Documentation

std::string MRWGraphInternal::PSZone::m_extra

some extra data

Referenced by MRWGraph::readPostscript().

long MRWGraphInternal::PSZone::m_id

an id

Referenced by MRWGraph::readPostscript().

bool MRWGraphInternal::PSZone::m_parsed

mutable

a flag to know if the data has been sent

Referenced by MRWGraph::flushExtra(), and MRWGraph::sendPSZone().

MWAWEntry MRWGraphInternal::PSZone::m_pos

the file position

Referenced by MRWGraph::readPostscript(), and MRWGraph::sendPSZone().

int MRWGraphInternal::PSZone::m_type

a local type?

Referenced by MRWGraph::readPostscript().

The documentation for this struct was generated from the following file:

- MRWGraph.cxx